package com.vci.ubcs.code.bo;

import com.vci.ubcs.code.vo.pagemodel.CodeClassifyVO;

import java.util.List;

/**
 * 主题库分类相关的全部信息
 * @author weidy
 * @date 2022-2-25
 */
public class CodeClassifyFullInfoBO implements java.io.Serializable{

    /**
     * 序列化
     */
    private static final long serialVersionUID = 7416865011120729907L;
    /**
     * 上级的分类
     */
    private List<CodeClassifyVO> parentClassifyVOs;

    /**
     * 顶层分类
     */
    private CodeClassifyVO topClassifyVO;

    /**
     * 当前分类的信息
     */
    private CodeClassifyVO currentClassifyVO;


    public List<CodeClassifyVO> getParentClassifyVOs() {
        return parentClassifyVOs;
    }

    public void setParentClassifyVOs(List<CodeClassifyVO> parentClassifyVOs) {
        this.parentClassifyVOs = parentClassifyVOs;
    }

    public CodeClassifyVO getTopClassifyVO() {
        return topClassifyVO;
    }

    public void setTopClassifyVO(CodeClassifyVO topClassifyVO) {
        this.topClassifyVO = topClassifyVO;
    }

    public CodeClassifyVO getCurrentClassifyVO() {
        return currentClassifyVO;
    }

    public void setCurrentClassifyVO(CodeClassifyVO currentClassifyVO) {
        this.currentClassifyVO = currentClassifyVO;
    }

    @Override
    public String toString() {
        return "CodeClassifyFullInfo{" +
                "parentClassifyVOs=" + parentClassifyVOs +
                ", topClassifyVO=" + topClassifyVO +
                ", currentClassifyVO=" + currentClassifyVO +
                '}';
    }
}
