package com.vci.ubcs.code.bo;

import java.util.List;
import java.util.Map;

/**
 * 模板属性的Sql
 * @author weidy
 * @date 2022-04-11
 */
public class CodeTemplateAttrSqlBO implements java.io.Serializable{

    /**
     * 表名
     */
    private String tableName;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 关联的表
     */
    private Map<String/**属性字段**/,String> joinTable;

    /**
     * 分页对象
     */
    //private PageHelper pageHelper;

    /**
     * 包含分页的sql语句
     */
    private String sqlHasPage;

    /**
     * 不包含分页的sql语句
     */
    private String sqlUnPage;

    /**
     * 查询总数的Sql语句
     */
    private String sqlCount;

    /**
     * 本次查询的字段
     */
    private  List<String> selectFieldList;

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Map<String, String> getJoinTable() {
        return joinTable;
    }

    public void setJoinTable(Map<String, String> joinTable) {
        this.joinTable = joinTable;
    }

//    public PageHelper getPageHelper() {
//        return pageHelper;
//    }
//
//    public void setPageHelper(PageHelper pageHelper) {
//        this.pageHelper = pageHelper;
//    }

    public String getSqlHasPage() {
        return sqlHasPage;
    }

    public void setSqlHasPage(String sqlHasPage) {
        this.sqlHasPage = sqlHasPage;
    }

    public String getSqlUnPage() {
        return sqlUnPage;
    }

    public void setSqlUnPage(String sqlUnPage) {
        this.sqlUnPage = sqlUnPage;
    }

    public String getSqlCount() {
        return sqlCount;
    }

    public void setSqlCount(String sqlCount) {
        this.sqlCount = sqlCount;
    }

    public List<String> getSelectFieldList() {
        return selectFieldList;
    }

    public void setSelectFieldList(List<String> selectFieldList) {
        this.selectFieldList = selectFieldList;
    }

    @Override
    public String toString() {
        return "CodeTemplateAttrSqlBO{" +
                "tableName='" + tableName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", joinTable=" + joinTable +
                //", pageHelper=" + pageHelper +
                ", sqlHasPage='" + sqlHasPage + '\'' +
                ", sqlUnPage='" + sqlUnPage + '\'' +
                ", sqlCount='" + sqlCount + '\'' +
                ", selectFieldList=" + selectFieldList +
                '}';
    }
}
