package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 分类使用的流程模板数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyProcessTempDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117374292084L;

	/**
	 * 主题库分类主键
	 */
	private String codeclassifyoid;

	/**
	 * 主题库分类主键显示文本
	 */
	private String codeclassifyoidName;

	/**
	 * 所属模板
	 */
	private String classifyTemplateOid;
	/**
	 * 流程模板用途
	 */
	private String codeprocessuse;

	/**
	 * 流程模板用途显示文本
	 */
	private String codeprocessuseText;

	/**
	 * 流程模板的版本
	 */
	private String processVersion;

	/**
	 * 存储关联的模板属性主键
	 */
	private String codeTempAttrOidArr;

	/**
	 * 存储关联的模板属性名称
	 */
	private String codeTempAttrOidArrName;

	/**
	 * 获取 主题库分类主键
	 */
	public String getCodeclassifyoid (){
		return codeclassifyoid;
	}

	/**
	 * 设置 主题库分类主键
	 */
	public void setCodeclassifyoid (String codeclassifyoid){
		this.codeclassifyoid = codeclassifyoid;
	}

	/**
	 * 获取主题库分类主键显示文本
	 */
	public String getCodeclassifyoidName (){
		return codeclassifyoidName;
	}

	/**
	 * 设置主题库分类主键显示文本
	 */
	public void setCodeclassifyoidName (String codeclassifyoidName){
		this.codeclassifyoidName = codeclassifyoidName;
	}
	/**
	 * 获取 流程模板用途
	 */
	public String getCodeprocessuse (){
		return codeprocessuse;
	}

	/**
	 * 设置 流程模板用途
	 */
	public void setCodeprocessuse (String codeprocessuse){
		this.codeprocessuse = codeprocessuse;
	}

	public String getCodeprocessuseText() {
		return codeprocessuseText;
	}

	public void setCodeprocessuseText(String codeprocessuseText) {
		this.codeprocessuseText = codeprocessuseText;
	}

	public String getProcessVersion() {
		return processVersion;
	}

	public void setProcessVersion(String processVersion) {
		this.processVersion = processVersion;
	}

	public String getClassifyTemplateOid() {
		return classifyTemplateOid;
	}

	public void setClassifyTemplateOid(String classifyTemplateOid) {
		this.classifyTemplateOid = classifyTemplateOid;
	}

	public String getCodeTempAttrOidArr() {
		return codeTempAttrOidArr;
	}

	public void setCodeTempAttrOidArr(String codeTempAttrOidArr) {
		this.codeTempAttrOidArr = codeTempAttrOidArr;
	}

	public String getCodeTempAttrOidArrName() {
		return codeTempAttrOidArrName;
	}

	public void setCodeTempAttrOidArrName(String codeTempAttrOidArrName) {
		this.codeTempAttrOidArrName = codeTempAttrOidArrName;
	}

	@Override
	public String toString() {
		return "CodeClassifyProcessTempDTO{" +
				"codeclassifyoid='" + codeclassifyoid + '\'' +
				", codeclassifyoidName='" + codeclassifyoidName + '\'' +
				", classifyTemplateOid='" + classifyTemplateOid + '\'' +
				", codeprocessuse='" + codeprocessuse + '\'' +
				", codeprocessuseText='" + codeprocessuseText + '\'' +
				", processVersion='" + processVersion + '\'' +
				", codeTempAttrOidArr='" + codeTempAttrOidArr + '\'' +
				", codeTempAttrOidArrName='" + codeTempAttrOidArrName + '\'' +
				"} " + super.toString();
	}
}
