package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 主题库里模板包含的按钮数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyTemplateButtonDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707119032349661L;

	/**
	 * 所属模板
	 */
	private String classifytemplateoid;

	/**
	 * 所属模板显示文本
	 */
	private String classifytemplateoidName;
	/**
	 * 按钮的主键
	 */
	private String classifybuttonoid;

	/**
	 * 按钮的主键显示文本
	 */
	private String classifybuttonoidName;
	/**
	 * 按钮用途
	 */
	private String buttonuse;

	/**
	 * 按钮用途显示对象
	 */
	private String buttonUseText;

	/**
	 * 码值序号
	 */
	private Integer ordernum;


	/**
	 * 获取 所属模板
	 */
	public String getClassifytemplateoid (){
		return classifytemplateoid;
	}

	/**
	 * 设置 所属模板
	 */
	public void setClassifytemplateoid (String classifytemplateoid){
		this.classifytemplateoid = classifytemplateoid;
	}

	/**
	 * 获取所属模板显示文本
	 */
	public String getClassifytemplateoidName (){
		return classifytemplateoidName;
	}

	/**
	 * 设置所属模板显示文本
	 */
	public void setClassifytemplateoidName (String classifytemplateoidName){
		this.classifytemplateoidName = classifytemplateoidName;
	}
	/**
	 * 获取 按钮的主键
	 */
	public String getClassifybuttonoid (){
		return classifybuttonoid;
	}

	/**
	 * 设置 按钮的主键
	 */
	public void setClassifybuttonoid (String classifybuttonoid){
		this.classifybuttonoid = classifybuttonoid;
	}

	/**
	 * 获取按钮的主键显示文本
	 */
	public String getClassifybuttonoidName (){
		return classifybuttonoidName;
	}

	/**
	 * 设置按钮的主键显示文本
	 */
	public void setClassifybuttonoidName (String classifybuttonoidName){
		this.classifybuttonoidName = classifybuttonoidName;
	}
	/**
	 * 获取 按钮用途
	 */
	public String getButtonuse (){
		return buttonuse;
	}

	/**
	 * 设置 按钮用途
	 */
	public void setButtonuse (String buttonuse){
		this.buttonuse = buttonuse;
	}

	/**
	 * 获取 码值序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	 * 设置 码值序号
	 */
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}

	public String getButtonUseText() {
		return buttonUseText;
	}

	public void setButtonUseText(String buttonUseText) {
		this.buttonUseText = buttonUseText;
	}

	@Override
	public String toString() {
		return "CodeClassifyTemplateButtonDTO{" +
				"classifytemplateoid='" + classifytemplateoid + '\'' +
				", classifytemplateoidName='" + classifytemplateoidName + '\'' +
				", classifybuttonoid='" + classifybuttonoid + '\'' +
				", classifybuttonoidName='" + classifybuttonoidName + '\'' +
				", buttonuse='" + buttonuse + '\'' +
				", buttonUseText='" + buttonUseText + '\'' +
				", ordernum=" + ordernum +
				"} " + super.toString();
	}
}
