package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 主题库模板映射规则数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyTemplateMapDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117068736629L;

	/**
	 * 所属模板
	 */
	private String classifyTemplateOid;

	/**
	 * 所属模板显示文本
	 */
	private String classifyTemplateName;
	/**
	 * 映射规则类型
	 */
	private String codemapruletype;

	/**
	 * 映射规则类型显示文本
	 */
	private String codemapruletypeText;

	/**
	 * 获取 所属模板
	 */
	public String getClassifyTemplateOid (){
		return classifyTemplateOid;
	}

	/**
	 * 设置 所属模板
	 */
	public void setClassifyTemplateOid (String classifyTemplateOid){
		this.classifyTemplateOid = classifyTemplateOid;
	}

	/**
	 * 获取所属模板显示文本
	 */
	public String getClassifyTemplateName (){
		return classifyTemplateName;
	}

	/**
	 * 设置所属模板显示文本
	 */
	public void setClassifyTemplateName (String classifyTemplateName){
		this.classifyTemplateName = classifyTemplateOid;
	}
	/**
	 * 获取 映射规则类型
	 */
	public String getCodemapruletype (){
		return codemapruletype;
	}

	/**
	 * 设置 映射规则类型
	 */
	public void setCodemapruletype (String codemapruletype){
		this.codemapruletype = codemapruletype;
	}

	public String getCodemapruletypeText() {
		return codemapruletypeText;
	}

	public void setCodemapruletypeText(String codemapruletypeText) {
		this.codemapruletypeText = codemapruletypeText;
	}

	@Override
	public String toString() {
		return "CodeClassifyTemplateMapDTO{" +
				"classifytemplateoid='" + classifyTemplateOid + '\'' +
				", classifytemplateoidName='" + classifyTemplateName + '\'' +
				", codemapruletype='" + codemapruletype + '\'' +
				", codemapruletypeText='" + codemapruletypeText + '\'' +
				"} " + super.toString();
	}
}
