package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 分类码段的码值数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyValueDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117098778726L;

	/**
	 * 分类码段主键
	 */
	private String codeclassifysecoid;

	/**
	 * 分类码段主键显示文本
	 */
	private String codeclassifysecoidName;
	/**
	 * 码值序号
	 */
	private Integer ordernum;

	/**
	 * 上级分类码值主键
	 */
	private String parentclassifyvalueoid;


	/**
	 * 获取 分类码段主键
	 */
	public String getCodeclassifysecoid (){
		return codeclassifysecoid;
	}

	/**
	 * 设置 分类码段主键
	 */
	public void setCodeclassifysecoid (String codeclassifysecoid){
		this.codeclassifysecoid = codeclassifysecoid;
	}

	/**
	 * 获取分类码段主键显示文本
	 */
	public String getCodeclassifysecoidName (){
		return codeclassifysecoidName;
	}

	/**
	 * 设置分类码段主键显示文本
	 */
	public void setCodeclassifysecoidName (String codeclassifysecoidName){
		this.codeclassifysecoidName = codeclassifysecoidName;
	}
	/**
	 * 获取 码值序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	 * 设置 码值序号
	 */
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}

	/**
	 * 获取 上级分类码值主键
	 */
	public String getParentclassifyvalueoid (){
		return parentclassifyvalueoid;
	}

	/**
	 * 设置 上级分类码值主键
	 */
	public void setParentclassifyvalueoid (String parentclassifyvalueoid){
		this.parentclassifyvalueoid = parentclassifyvalueoid;
	}


	@Override
	public String toString() {
		return "CodeClassifyValueDTO{" +
		"codeclassifysecoid='" + codeclassifysecoid +"',"+
		"codeclassifysecoidName='" + codeclassifysecoidName +"'," +
		"ordernum='" + ordernum +"',"+
		"parentclassifyvalueoid='" + parentclassifyvalueoid +"',"+
		"}" + super.toString();
	}
}
