package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 阶段的属性数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodePhaseAttrDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118720105671L;

	/**
	 * 所属模板阶段
	 */
	private String codephaseoid;

	/**
	 * 所属模板阶段显示文本
	 */
	private String codephaseoidName;

	/**
	 * 获取 所属模板阶段
	 */
	public String getCodephaseoid (){
		return codephaseoid;
	}

	/**
	 * 设置 所属模板阶段
	 */
	public void setCodephaseoid (String codephaseoid){
		this.codephaseoid = codephaseoid;
	}

	/**
	 * 获取所属模板阶段显示文本
	 */
	public String getCodephaseoidName (){
		return codephaseoidName;
	}

	/**
	 * 设置所属模板阶段显示文本
	 */
	public void setCodephaseoidName (String codephaseoidName){
		this.codephaseoidName = codephaseoidName;
	}

	@Override
	public String toString() {
		return "CodePhaseAttrDTO{" +
		"codephaseoid='" + codephaseoid +"',"+
		"codephaseoidName='" + codephaseoidName +"'," +
		"}" + super.toString();
	}
}
