package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 相似查询规则数据传输对象
 *
 * @author weidy
 * @date 2022-04-10
 */
public class CodeResembleRuleDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118908699390L;

	/**
	 * 是否忽略全部空格
	 */
	private String ignoreallspaceflag;

	/**
	 * 是否忽略大小写
	 */
	private String ignorecaseflag;

	/**
	 * 是否忽略空格
	 */
	private String ignorespaceflag;

	/**
	 * 是否忽略全半角
	 */
	private String ignorewidthflag;

	/**
	 * 连接字符
	 */
	private String linkCharacter;

	public String getLinkCharacter() {
		return linkCharacter;
	}

	public void setLinkCharacter(String linkCharacter) {
		this.linkCharacter = linkCharacter;
	}

	/**
	 * 获取 是否忽略全部空格
	 */
	public String getIgnoreallspaceflag (){
		return ignoreallspaceflag;
	}

	/**
	 * 设置 是否忽略全部空格
	 */
	public void setIgnoreallspaceflag (String ignoreallspaceflag){
		this.ignoreallspaceflag = ignoreallspaceflag;
	}

	/**
	 * 获取 是否忽略大小写
	 */
	public String getIgnorecaseflag (){
		return ignorecaseflag;
	}

	/**
	 * 设置 是否忽略大小写
	 */
	public void setIgnorecaseflag (String ignorecaseflag){
		this.ignorecaseflag = ignorecaseflag;
	}

	/**
	 * 获取 是否忽略空格
	 */
	public String getIgnorespaceflag (){
		return ignorespaceflag;
	}

	/**
	 * 设置 是否忽略空格
	 */
	public void setIgnorespaceflag (String ignorespaceflag){
		this.ignorespaceflag = ignorespaceflag;
	}

	/**
	 * 获取 是否忽略全半角
	 */
	public String getIgnorewidthflag (){
		return ignorewidthflag;
	}

	/**
	 * 设置 是否忽略全半角
	 */
	public void setIgnorewidthflag (String ignorewidthflag){
		this.ignorewidthflag = ignorewidthflag;
	}

	@Override
	public String toString() {
		return "CodeResembleRuleDTO{" +
				"ignoreallspaceflag='" + ignoreallspaceflag + '\'' +
				", ignorecaseflag='" + ignorecaseflag + '\'' +
				", ignorespaceflag='" + ignorespaceflag + '\'' +
				", ignorewidthflag='" + ignorewidthflag + '\'' +
				", linkCharacter='" + linkCharacter + '\'' +
				"} " + super.toString();
	}
}
