package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 模板阶段数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeTemplatePhaseDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117809299474L;

	/**
	 * 所属编码规则
	 */
	private String codeclassifytemplateoid;

	/**
	 * 所属编码规则显示文本
	 */
	private String codeclassifytemplateoidName;

	/**
	 * 包含的属性
	 */
	private List<CodePhaseAttrDTO> attributes;

	/**
	 * 获取 所属编码规则
	 */
	public String getCodeclassifytemplateoid (){
		return codeclassifytemplateoid;
	}

	/**
	 * 设置 所属编码规则
	 */
	public void setCodeclassifytemplateoid (String codeclassifytemplateoid){
		this.codeclassifytemplateoid = codeclassifytemplateoid;
	}

	/**
	 * 获取所属编码规则显示文本
	 */
	public String getCodeclassifytemplateoidName (){
		return codeclassifytemplateoidName;
	}

	/**
	 * 设置所属编码规则显示文本
	 */
	public void setCodeclassifytemplateoidName (String codeclassifytemplateoidName){
		this.codeclassifytemplateoidName = codeclassifytemplateoidName;
	}

	public List<CodePhaseAttrDTO> getAttributes() {
		return attributes;
	}

	public void setAttributes(List<CodePhaseAttrDTO> attributes) {
		this.attributes = attributes;
	}

	@Override
	public String toString() {
		return "CodeTemplatePhaseDTO{" +
				"codeclassifytemplateoid='" + codeclassifytemplateoid + '\'' +
				", codeclassifytemplateoidName='" + codeclassifytemplateoidName + '\'' +
				", attributes=" + attributes +
				"} " + super.toString();
	}
}
