package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 资源对接通知、查询接口待推送任务数据传输对象
 *
 * @author weidy
 * @date 2022-03-28
 */
public class DockingTaskDTO extends BaseModelVO {

	/**
	 * 禁止修改这个值
	 */
	private static final long serialVersionUID = 4615707120806149100L;

	/**
	 * 系统接口oid
	 */
	private String sysinfooid;

	/**
	 * 系统id
	 */
	private String systemoid;

	/**
	 * 系统编号
	 */
	private String systemcode;

	/**
	 * 系统名称
	 */
	private String systemname;

	/**
	 * 分类oid
	 */
	private String classifyoid;

	/**
	 * 分类id
	 */
	private String classifyid;

	/**
	 * 分类名称
	 */
	private String classifyname;

	/**
	 * 业务类型数据oid
	 */
	private String btmoid;

	/**
	 * 业务类型数据oid
	 */
	private String btmid;

	/**
	 * uniquecode
	 */
	private String uniquecode;

	/**
	 * 是否发送成功
	 */
	private String sendflag;

	private String sendtype;
	/**
	 * 是否发送成功
	 */
	private String dataoid;

	public String getDataoid() {
		return dataoid;
	}

	public void setDataoid(String dataoid) {
		this.dataoid = dataoid;
	}
	public String getSendtype() {
		return sendtype;
	}

	public void setSendtype(String sendtype) {
		this.sendtype = sendtype;
	}
	public String getSysinfooid() {
		return sysinfooid;
	}

	public void setSysinfooid(String sysinfooid) {
		this.sysinfooid = sysinfooid;
	}

	public String getSystemoid() {
		return systemoid;
	}

	public void setSystemoid(String systemoid) {
		this.systemoid = systemoid;
	}

	public String getSystemcode() {
		return systemcode;
	}

	public void setSystemcode(String systemcode) {
		this.systemcode = systemcode;
	}

	public String getSystemname() {
		return systemname;
	}

	public void setSystemname(String systemname) {
		this.systemname = systemname;
	}

	public String getClassifyoid() {
		return classifyoid;
	}

	public void setClassifyoid(String classifyoid) {
		this.classifyoid = classifyoid;
	}
	public String getClassifyid() {
		return classifyid;
	}

	public void setClassifyid(String classifyid) {
		this.classifyid = classifyid;
	}
	public String getClassifyname() {
		return classifyname;
	}

	public void setClassifyname(String classifyname) {
		this.classifyname = classifyname;
	}

	public String getBtmoid() {
		return btmoid;
	}

	public void setBtmoid(String btmoid) {
		this.btmoid = btmoid;
	}
	public String getBtmid() {
		return btmid;
	}

	public void setBtmid(String btmid) {
		this.btmid = btmid;
	}

	public String getSendflag() {
		return sendflag;
	}

	public void setSendflag(String sendflag) {
		this.sendflag = sendflag;
	}

	public String getUniquecode() {
		return uniquecode;
	}

	public void setUniquecode(String uniquecode) {
		this.uniquecode = uniquecode;
	}

	@Override
	public String toString() {
		return "DockingTaskDTO{" +
				"sysinfooid='" + sysinfooid + '\'' +
				", systemoid='" + systemoid + '\'' +
				", systemcode='" + systemcode + '\'' +
				", systemname='" + systemname + '\'' +
				", classifyoid='" + classifyoid + '\'' +
				", classifyid='" + classifyid + '\'' +
				", classifyname='" + classifyname + '\'' +
				", btmoid='" + btmoid + '\'' +
				", btmo='" + btmid + '\'' +
				", uniquecode='" + uniquecode + '\'' +
				", sendflag='" + sendflag + '\'' +
				", sendtype='" + sendtype + '\'' +
				", dataoid='" + dataoid + '\'' +
				'}';
	}
}
