package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 系统集成接口的认证数据传输对象
 *
 * @author weidy
 * @date 2022-04-11
 */
public class SysIntHeaderDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117695864945L;

	/**
	 * SysIntInfoDO 的oid
	 */
	private String infoOid;

	/**
	 * 参数key
	 */
	private String headerkey;

	/**
	 * 参数value
	 */
	private String headeralue;

	/**
	 * 是否使用
	 */
	private String usedflag;

	public String getInfoOid() {
		return infoOid;
	}

	public void setInfoOid(String infoOid) {
		this.infoOid = infoOid;
	}

	public String getHeaderkey() {
		return headerkey;
	}

	public void setHeaderkey(String headerkey) {
		this.headerkey = headerkey;
	}

	public String getHeaderalue() {
		return headeralue;
	}

	public void setHeaderalue(String headeralue) {
		this.headeralue = headeralue;
	}

	public String getUsedflag() {
		return usedflag;
	}

	public void setUsedflag(String usedflag) {
		this.usedflag = usedflag;
	}

	@Override
	public String toString() {
		return "SysIntHeaderDO{" +
				"infoOid='" + infoOid + '\'' +
				", headerkey='" + headerkey + '\'' +
				", headeralue='" + headeralue + '\'' +
				", usedflag='" + usedflag + '\'' +
				'}';
	}
}
