package com.vci.ubcs.code.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 分类码段的码值
 * 相当于级联的下拉框
 * @author weidy
 * @date 2022-1-18
 */
@Data
@TableName("PL_CODE_CLASSIFYVALUE")
@ApiModel(value = "CodeClassify对象", description = "分类码段的码值")
@EqualsAndHashCode(callSuper = true)
public class CodeClassifyValue extends BaseModel {


	/**
	 * 序列化
	 */
	private static final long serialVersionUID = 5238387322464830032L;
	/**
	 * 分类码段主键
	 */
	//@VciUseRefer(MdmBtmTypeConstant.CODE_BASIC_SEC)
	private String codeClassifySecOid;

	/**
	 * 分类码值
	 */
	private String id;

	/**
	 * 分类名称
	 */
	private String name;

	/**
	 * 码值序号
	 */
	private Integer orderNum;

	/**
	 * 上级分类码值主键
	 */
	private String parentClassifyValueOid;

}
