package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 分类模板对象显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyTemplateVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118684061936L;

	/**
	* 主题库分类主键
	*/
	private String codeclassifyoid;

	/**
	* 主题库分类主键显示文本
	*/
	private String codeclassifyoidName;

	/**
	 * 包含的属性内容
	 */
	private List<CodeClassifyTemplateAttrVO> attributes;

	/**
	 * 存储的业务类型
	 */
	private String btmTypeId;

	/**
	 * 存储的业务类型中文名称
	 */
	private String btmTypeName;

	public String getBtmTypeId() {
		return btmTypeId;
	}

	public void setBtmTypeId(String btmTypeId) {
		this.btmTypeId = btmTypeId;
	}

	public String getBtmTypeName() {
		return btmTypeName;
	}

	public void setBtmTypeName(String btmTypeName) {
		this.btmTypeName = btmTypeName;
	}

	/**
	 * 获取 主题库分类主键
	 */
	public String getCodeclassifyoid (){
		return codeclassifyoid;
	}

	/**
	* 设置 主题库分类主键
	*/
	public void setCodeclassifyoid (String codeclassifyoid){
		this.codeclassifyoid = codeclassifyoid;
	}
	/**
	 * 获取主题库分类主键显示文本
	 */
	public String getCodeclassifyoidName (){
		return codeclassifyoidName;
	}

	/**
	* 设置主题库分类主键显示文本
	*/
	public void setCodeclassifyoidName (String codeclassifyoidName){
		this.codeclassifyoidName = codeclassifyoidName;
	}

	public List<CodeClassifyTemplateAttrVO> getAttributes() {
		return attributes;
	}

	public void setAttributes(List<CodeClassifyTemplateAttrVO> attributes) {
		this.attributes = attributes;
	}


	@Override
	public String toString() {
		return "CodeClassifyTemplateVO{" +
				"codeclassifyoid='" + codeclassifyoid + '\'' +
				", codeclassifyoidName='" + codeclassifyoidName + '\'' +
				", attributes=" + attributes +
				"} " + super.toString();
	}
}
