package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 分类码段的码值显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyValueVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117941539567L;

	/**
	* 分类码段主键
	*/
	private String codeclassifysecoid;

	/**
	* 分类码段主键显示文本
	*/
	private String codeclassifysecoidName;

	/**
	* 码值序号
	*/
	private Integer ordernum;

	/**
	* 上级分类码值主键
	*/
	private String parentclassifyvalueoid;

	/**
	 * 分类码值中的编号
	 */
	private String id;

	/**
	 * 分类码值中的名称
	 */
	private String name;

	/**
	 * 获取 分类码段主键
	 */
	public String getCodeclassifysecoid (){
		return codeclassifysecoid;
	}

	/**
	* 设置 分类码段主键
	*/
	public void setCodeclassifysecoid (String codeclassifysecoid){
		this.codeclassifysecoid = codeclassifysecoid;
	}
	/**
	 * 获取分类码段主键显示文本
	 */
	public String getCodeclassifysecoidName (){
		return codeclassifysecoidName;
	}

	/**
	* 设置分类码段主键显示文本
	*/
	public void setCodeclassifysecoidName (String codeclassifysecoidName){
		this.codeclassifysecoidName = codeclassifysecoidName;
	}
	/**
	 * 获取 码值序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	* 设置 码值序号
	*/
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}
	/**
	 * 获取 上级分类码值主键
	 */
	public String getParentclassifyvalueoid (){
		return parentclassifyvalueoid;
	}

	/**
	* 设置 上级分类码值主键
	*/
	public void setParentclassifyvalueoid (String parentclassifyvalueoid){
		this.parentclassifyvalueoid = parentclassifyvalueoid;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String name) {
		this.name = name;
	}


	@Override
	public String toString() {
		return "CodeClassifyValueVO{" +
				"codeclassifysecoid='" + codeclassifysecoid + '\'' +
				", codeclassifysecoidName='" + codeclassifysecoidName + '\'' +
				", ordernum=" + ordernum +
				", parentclassifyvalueoid='" + parentclassifyvalueoid + '\'' +
				", id='" + id + '\'' +
				", name='" + name + '\'' +
				"} " + super.toString();
	}
}
