package com.vci.ubcs.code.vo.pagemodel;


import java.util.*;

/**
 * 导入编码信息的执行结果
 * @author weidy
 * @date 2022-3-6
 */
public class CodeImportResultVO implements java.io.Serializable{

    /**
     * 序列化
     */
    private static final long serialVersionUID = 6938911732592877094L;

    /**
     * 是否成功的
     */
    private boolean success ;
    /**
     * 关键属性校验规则的信息
     */
    private String keyAttrRuleInfo;

    /**
     * 关键属性校验后，重复的行号
     */
    private Set<String> keyAttrRepeatRowIndexList  = new HashSet<>();

    /***
     * 根据关键熟悉查询的重复的数据对象
     */
    //private Map<String,  List<ClientBusinessObject>> indexTODataMap=new HashMap<>();

    /**
     * excel自身重复的行号
     */
    private Set<String> selfRepeatRowIndexList = new HashSet<>();

    /**
     * 数据的内容有空的行号
     */
    private Set<String> nullRowIndexList = new HashSet<>();

    /**
     * 没有通过验证的行号
     */
    private Set<String> unPassVerifyRowIndexSet = new HashSet<>();

    public Set<String> getUnPassVerifyRowIndexSet() {
        return unPassVerifyRowIndexSet;
    }

    public void setUnPassVerifyRowIndexSet(Set<String> unPassVerifyRowIndexSet) {
        this.unPassVerifyRowIndexSet = unPassVerifyRowIndexSet;
    }

    public Set<String> getNullRowIndexList() {
        return nullRowIndexList;
    }

    public void setNullRowIndexList(Set<String> nullRowIndexList) {
        this.nullRowIndexList = nullRowIndexList;
    }

    public String getKeyAttrRuleInfo() {
        return keyAttrRuleInfo;
    }

    public void setKeyAttrRuleInfo(String keyAttrRuleInfo) {
        this.keyAttrRuleInfo = keyAttrRuleInfo;
    }

    public Set<String> getKeyAttrRepeatRowIndexList() {
        return keyAttrRepeatRowIndexList;
    }

    public void setKeyAttrRepeatRowIndexList(Set<String> keyAttrRepeatRowIndexList) {
        this.keyAttrRepeatRowIndexList = keyAttrRepeatRowIndexList;
    }

    public Set<String> getSelfRepeatRowIndexList() {
        return selfRepeatRowIndexList;
    }

    public void setSelfRepeatRowIndexList(Set<String> selfRepeatRowIndexList) {
        this.selfRepeatRowIndexList = selfRepeatRowIndexList;
    }

    /*public Map<String,List<ClientBusinessObject>> getIndexTODataMap() {
        return indexTODataMap;
    }

    public void setIndexTODataMap(Map<String, List<ClientBusinessObject>> indexTODataMap) {
        this.indexTODataMap = indexTODataMap;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    @Override
    public String toString() {
        return "CodeImportResultVO{" +
                "success=" + success +
                ", keyAttrRuleInfo='" + keyAttrRuleInfo + '\'' +
                ", keyAttrRepeatRowIndexList=" + keyAttrRepeatRowIndexList +
                ", indexTODataMap=" + indexTODataMap +
                ", selfRepeatRowIndexList=" + selfRepeatRowIndexList +
                ", nullRowIndexList=" + nullRowIndexList +
                ", unPassVerifyRowIndexSet=" + unPassVerifyRowIndexSet +
                '}';
    }*/


}
