package com.vci.ubcs.code.vo.pagemodel;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/***
 *
 */
public class CodeImprotDataVO implements Serializable {

    /**
     * 序列化
     */
    private static final long serialVersionUID = 1880155181507713247L;
    /***
     * 数据在execl中的位置
     */
    private  String rowIndex;
    /**
     * 主题库分类主键
     */
    private String codeClassifyOid;

    /**
     * 模板的主键
     */
    private String templateOid;
    /**
     * 编码规则的主键
     */
    private String codeRuleOid;

    /***
     * 内部字段
     */

    private List<String> fields = new ArrayList();

    /**
     * 列名
     */
    private List<String> colNames = new ArrayList();
    /**
     * 数据
     */
    private List<Map<String,String>> datas = new ArrayList<>();
    private CodeClassifyTemplateVO codeClassifyTemplateVO;
    private CodeClassifyVO codeClassifyVO;

    public CodeClassifyTemplateVO getCodeClassifyTemplateVO() {
        return codeClassifyTemplateVO;
    }

    public void setCodeClassifyTemplateVO(CodeClassifyTemplateVO codeClassifyTemplateVO) {
        this.codeClassifyTemplateVO = codeClassifyTemplateVO;
    }

    public CodeClassifyVO getCodeClassifyVO() {
        return codeClassifyVO;
    }

    public void setCodeClassifyVO(CodeClassifyVO codeClassifyVO) {
        this.codeClassifyVO = codeClassifyVO;
    }

    public String getCodeClassifyOid() {
        return codeClassifyOid;
    }
    public void setCodeClassifyOid(String codeClassifyOid) {
        this.codeClassifyOid = codeClassifyOid;
    }
    public String getTemplateOid() {
        return templateOid;
    }
    public void setTemplateOid(String templateOid) {
        this.templateOid = templateOid;
    }
    public String getCodeRuleOid() {
        return codeRuleOid;
    }
    public void setCodeRuleOid(String codeRuleOid) {
        this.codeRuleOid = codeRuleOid;
    }
    public List<Map<String, String>> getDatas() {
        return datas;
    }

    public void setDatas(List<Map<String, String>> datas) {
        this.datas = datas;
    }

    public List<String> getColNames() {
        return colNames;
    }

    public void setColNames(List<String> colNames) {
        this.colNames = colNames;
    }

    public String getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(String rowIndex) {
        this.rowIndex = rowIndex;
    }

    public List<String> getFields() {
        return fields;
    }

    public void setFields(List<String> fields) {
        this.fields = fields;
    }

    @Override
    public String toString() {
        return "CodeImprotDataVO{" +
                "rowIndex='" + rowIndex + '\'' +
                ", codeClassifyOid='" + codeClassifyOid + '\'' +
                ", templateOid='" + templateOid + '\'' +
                ", codeRuleOid='" + codeRuleOid + '\'' +
                ", fields=" + fields +
                ", colNames=" + colNames +
                ", datas=" + datas +
                ", codeClassifyTemplateVO=" + codeClassifyTemplateVO +
                ", codeClassifyVO=" + codeClassifyVO +
                '}';
    }
}
