package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 同义词配置显示对象
 *
 * @author weidy
 * @date 2022-02-17
 */
public class CodeSynonymVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118039132189L;

	/**
	* 所属编码规则
	*/
	private String codeclassifytemplateoid;

	/**
	* 所属编码规则显示文本
	*/
	private String codeclassifytemplateoidName;

	/**
	* 源值
	*/
	private String sourcevalue;


	/**
	* 同义词
	*/
	private String synonymvalue;



	/**
	 * 获取 所属编码规则
	 */
	public String getCodeclassifytemplateoid (){
		return codeclassifytemplateoid;
	}

	/**
	* 设置 所属编码规则
	*/
	public void setCodeclassifytemplateoid (String codeclassifytemplateoid){
		this.codeclassifytemplateoid = codeclassifytemplateoid;
	}
	/**
	 * 获取所属编码规则显示文本
	 */
	public String getCodeclassifytemplateoidName (){
		return codeclassifytemplateoidName;
	}

	/**
	* 设置所属编码规则显示文本
	*/
	public void setCodeclassifytemplateoidName (String codeclassifytemplateoidName){
		this.codeclassifytemplateoidName = codeclassifytemplateoidName;
	}
	/**
	 * 获取 源值
	 */
	public String getSourcevalue (){
		return sourcevalue;
	}

	/**
	* 设置 源值
	*/
	public void setSourcevalue (String sourcevalue){
		this.sourcevalue = sourcevalue;
	}
	/**
	 * 获取 同义词
	 */
	public String getSynonymvalue (){
		return synonymvalue;
	}

	/**
	* 设置 同义词
	*/
	public void setSynonymvalue (String synonymvalue){
		this.synonymvalue = synonymvalue;
	}

	@Override
	public String toString() {
		return "CodeSynonymVO{" +
		"codeclassifytemplateoid='" + codeclassifytemplateoid +"'," +
		"codeclassifytemplateoidName='" + codeclassifytemplateoidName +"'," +
		"sourcevalue='" + sourcevalue +"'," +
		"synonymvalue='" + synonymvalue +"'," +
		"}" + super.toString();
	}
}
