package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 记录工艺推送过来的数据信息显示对象
 *
 * @author weidy
 * @date 2022-04-05
 */
public class DockingPreApplyDataInfoVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707120361431431L;

	/**
	 * data的oid
	 */
	private String dataoid;

	/**
	 * 唯一标识，工艺里边的图号
	 */
	private String uniquecode;

	/**
	 * 属性key
	 */
	private String key;

	/**
	 * 属性key含义
	 */
	private String mean;

	/**
	 * 属性value
	 */
	private String value;

	/**
	 * 获取 data的oid
	 */
	public String getDataoid (){
		return dataoid;
	}

	/**
	* 设置 data的oid
	*/
	public void setDataoid (String dataoid){
		this.dataoid = dataoid;
	}
	/**
	 * 获取 属性key
	 */
	public String getKey (){
		return key;
	}

	/**
	* 设置 属性key
	*/
	public void setKey (String key){
		this.key = key;
	}
	/**
	 * 获取 属性key含义
	 */
	public String getMean (){
		return mean;
	}

	/**
	* 设置 属性key含义
	*/
	public void setMean (String mean){
		this.mean = mean;
	}
	/**
	 * 获取 唯一标识
	 */
	public String getUniquecode (){
		return uniquecode;
	}

	/**
	* 设置 唯一标识
	*/
	public void setUniquecode (String uniquecode){
		this.uniquecode = uniquecode;
	}
	/**
	 * 获取 属性value
	 */
	public String getValue (){
		return value;
	}

	/**
	* 设置 属性value
	*/
	public void setValue (String value){
		this.value = value;
	}



	@Override
	public String toString() {
		return "DockingPreApplyDataInfoVO{" +
				"dataoid='" + dataoid + '\'' +
				", uniquecode='" + uniquecode + '\'' +
				", key='" + key + '\'' +
				", mean='" + mean + '\'' +
				", value='" + value + '\'' +
				'}';
	}
}
