package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 系统集成接口的认证显示对象
 *
 * @author lihang
 * @date 2022-03-07
 */
public class SysIntAuthorityVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707119460615952L;

	/**
	* 验证令牌
	*/
	private String token;


	/**
	* 认证方式
	*/
	private String type;


	/**
	* 认证方式显示文本
	*/
	private String typeText;
	/**
	* 验证用户
	*/
	private String useraccount;


	/**
	* 验证密码
	*/
	private String usercode;



	/**
	 * 获取 验证令牌
	 */
	public String getToken (){
		return token;
	}

	/**
	* 设置 验证令牌
	*/
	public void setToken (String token){
		this.token = token;
	}
	/**
	 * 获取 认证方式
	 */
	public String getType (){
		return type;
	}

	/**
	* 设置 认证方式
	*/
	public void setType (String type){
		this.type = type;
	}
	/**
	 * 获取认证方式显示文本
	 */
	public String getTypeText (){
		return typeText;
	}

	/**
	 * 设置 认证方式显示文本
	 */
	public void setTypeText (String typeText){
		this.typeText = typeText;
	}
	/**
	 * 获取 验证用户
	 */
	public String getUseraccount (){
		return useraccount;
	}

	/**
	* 设置 验证用户
	*/
	public void setUseraccount (String useraccount){
		this.useraccount = useraccount;
	}
	/**
	 * 获取 验证密码
	 */
	public String getUsercode (){
		return usercode;
	}

	/**
	* 设置 验证密码
	*/
	public void setUsercode (String usercode){
		this.usercode = usercode;
	}

	@Override
	public String toString() {
		return "SysIntAuthorityVO{" +
		"token='" + token +"'," +
		"type='" + type +"'," +
		"typeText='" + typeText +"'," +
		"useraccount='" + useraccount +"'," +
		"usercode='" + usercode +"'," +
		"}" + super.toString();
	}
}
