package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 系统集成接口的认证显示对象
 *
 * @author weidy
 * @date 2022-04-11
 */
public class SysIntParamVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118871819648L;

	/**
	 * SysIntInfoDO 的oid
	 */
	private String infoOid;

	/**
	 * 参数key
	 */
	private String paramkey;

	/**
	 * 参数value
	 */
	private String paramvalue;

	/**
	 * 是否使用
	 */
	private String usedflag;


	public String getInfoOid() {
		return infoOid;
	}

	public void setInfoOid(String infoOid) {
		this.infoOid = infoOid;
	}

	public String getParamkey() {
		return paramkey;
	}

	public void setParamkey(String paramkey) {
		this.paramkey = paramkey;
	}

	public String getParamvalue() {
		return paramvalue;
	}

	public void setParamvalue(String paramvalue) {
		this.paramvalue = paramvalue;
	}

	public String getUsedflag() {
		return usedflag;
	}

	public void setUsedflag(String usedflag) {
		this.usedflag = usedflag;
	}

	@Override
	public String toString() {
		return "SysIntParamDO{" +
				"infoOid='" + infoOid + '\'' +
				", paramkey='" + paramkey + '\'' +
				", paramvalue='" + paramvalue + '\'' +
				", usedflag='" + usedflag + '\'' +
				'}';
	}
}
