package com.vci.ubcs.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Objects;

/**
 * (UserPwdStrtategy)实体类
 *
 * @author makejava
 * @since 2023-03-20 14:59:29
 */

@Data
@NoArgsConstructor
@TableName("pl_sys_user_pwdstrategy")
@ApiModel(value = "UserPwdStrtategy", description = "UserPwdStrtategy")
public class UserPwdstrategy implements Serializable {

	private static final long serialVersionUid = -556926788101426521L;

	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	@TableId(value = "ID", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/**
	 * 密码策略id
	 */
	@ApiModelProperty(value = "密码策略id")
	@TableField(value = "PWDSTRATEGY_ID")
	private Long pwdstrategyId;

	public UserPwdstrategy(Long userId, Long pwdStrategyId) {
		this.userId = userId;
		this.pwdstrategyId = pwdStrategyId;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (o == null || getClass() != o.getClass()) {
			return false;
		}
		UserPwdstrategy that = (UserPwdstrategy) o;
		return Objects.equals(id, that.id) && Objects.equals(userId, that.userId) && Objects.equals(pwdstrategyId, that.pwdstrategyId);
	}

	@Override
	public int hashCode() {
		return Objects.hash(id, userId, pwdstrategyId);
	}



}
