package com.vci.ubcs.code.constant;

/**
 * 平台框架的一些默认值，在一些客户不需要管理某些档案时，默认一个值
 * @author weidy
 * @date 2019/12/30
 */
public class FrameWorkDefaultValueConstant {

	/**
	 * 默认的组织主键
	 */
	public static final String DEFAULT_ORGANIZATION_OID = "defaultOrg";

	/**
	 * 默认的组织名称
	 */
	public static final String DEFAULT_ORGANIZATION_NAME = "默认组织";

	/**
	 * 默认的库房主键
	 */
	public static final String DEFAULT_WAREHOUSE_OID = "defaultWarehouse";

	/**
	 * 默认的库房名称
	 */
	public static final String DEFAULT_WAREHOUSE_NAME ="默认库房";

	/**
	 * 默认的货位主键
	 */
	public static final String DEFAULT_GOODS_LOCATION_OID = "defaultGoodsLocation";

	/**
	 * 默认的货位名称
	 */
	public static final String DEFAULT_GOODS_LOCATION_NAME = "默认货位";

	/**
	 * 默认的库房管理员
	 */
	public static final String DEFAULT_WAREHOUSE_ADMIN_OID = "defaultWarehouseAdmin";

	/**
	 * 默认的库房管理员名称
	 */
	public static final String DEFAULT_WAREHOUSE_ADMIN_NAME = "默认库房管理员";

	/**
	 * 默认用户
	 */
	public static final String DEFAULT_USER_OID = "defaultUser";

	/**
	 * 默认用户名称
	 */
	public static final String DEFAULT_USER_NAME = "默认用户";

	/**
	 * 默认部门
	 */
	public static final String DEFAULT_DEPARTMENT_OID = "defaultDepartment";

	/**
	 * 默认部门名称
	 */
	public static final String DEFAULT_DEPARTMENT_NAME = "默认部门";

	/**
	 * 默认token
	 */
	public static final String DEFAULT_TOKEN = "51b3df0f-e769-40a5-bf3a-a8143ef0262f";

	/**
	 * 启用的数据
	 */
	public static final String FRAMEWORK_DATA_ENABLED = "Enabled";

	/**
	 * 停用的数据
	 */
	public static final String FRAMEWORK_DATA_DISABLED = "Disabled";

	/**
	 * 编辑的数据
	 */
	public static final String FRAMEWORK_RELEASE_EDITING = "Editing";

	/**
	 * 审核中的数据
	 */
	public static final String FRAMEWORK_RELEASE_AUDITING = "Auditing";

	/**
	 * 已提交
	 */
	public static final String FRAMEWORK_RELEASE_SUBMIT = "Submit";

	/**
	 * 发布的数据
	 */
	public static final String FRAMEWORK_RELEASE_RELEASED = "Released";

	/**
	 * 在树上显示“所有XXX”这个节点的主键
	 */
	public static final String ALL_DATA_TREE_NODE_OID = "${all}";

	/**
	 * 查询所有的版本
	 */
	public static final String QUERY_ALL_REVISION = "${queryAllRevision}";

	/**
	 * 参照的时候，显示已停用的数据的查询参数
	 */
	public static final String REFER_SHOW_DISABLED_QUERY_KEY ="referAllLcStatus";

	/**
	 * 完成
	 */
	public static final String FRAMEWORK_RELEASE_FINISH = "Finish";

	/**
	 * 已挂起
	 */
	public static final String FRAMEWORK_RELEASE_SUSPENDED = "Suspended";

	/**
	 * 已作废
	 */
	public static final String FRAMEWORK_RELEASE_OBSOLETED = "Obsoleted";

	/**
	 * 执行中
	 */
	public static final String FRAMEWORK_RELEASE_EXECUTING = "Executing";

	/**
	 * 已退回
	 */
	public static final String FRAMEWORK_RELEASE_SENDBACK = "SendBack";

	/**
	 * 已收回
	 */
	public static final String FRAMEWORK_RELEASE_TAKEBACK = "TakeBack";

	/**
	 * 默认的密码策略主键
	 */
	public static final String DEFAULT_PASSWORD_STRATEGY = "defaultPasswordStrategy";

	/**
	 * 状态字段
	 */
	public static final String LC_STATUS = "lcStatus";

	/**
	 * 字母升版的版本规则
	 */
	public static final String CHAR_REVISION = "characterversionrule";

	/**
	 * 数字升版的版本规则
	 */
	public static final String NUMBER_REVISION  = "numberversionrule";
}
