package com.vci.ubcs.code.constant;

//package com.vci.frameworkcore.constant;

/**
 * 基础框架的通用的多语言编码
 * @author weidy
 * @date 2020/4/25
 */
public class FrameWorkLangCodeConstant {

	/**
	 * 添加成功
	 */
	public static final String ADD_SUCCESS ="addSuccess";

	/**
	 * 添加失败
	 */
	public static final String ADD_FAIL = "addFailInDB";

	/**
	 * 修改成功
	 */
	public static final String EDIT_SUCCESS = "editSuccess";

	/**
	 * 修改失败
	 */
	public static final String EDIT_FAIL = "editFail";

	/**
	 * 删除成功
	 */
	public static final String DELETE_SUCCESS = "deleteSuccess";

	/**
	 * 级联删除成功
	 */
	public static final String DELETE_SUCCESS_CASCADE = "deleteSuccessCascade";

	/**
	 * 删除失败
	 */
	public static final String DELETE_FAIL = "deleteFail";

	/**
	 * 启用成功
	 */
	public static final String ENABLE_SUCCESS ="enableSuccess";

	/**
	 * 锁定成功
	 */
	public static final String LOCK_SUCCESS = "lockSuccess";

	/**
	 * 锁定失败
	 */
	public static final String LOCK_FAIL = "lockFail";

	/**
	 * 解锁成功
	 */
	public static final String UNLOCK_SUCCESS = "unlockSuccess";

	/**
	 * 解锁失败
	 */
	public static final String UNLOCK_FAIL = "unlockFail";

	/**
	 * 级联启用成功
	 */
	public static final String ENABLE_SUCCESS_CASCADE = "enableSuccessCascade";

	/**
	 * 启用失败
	 */
	public static final String ENABLE_FAIL = "enableFail";

	/**
	 * 停用成功
	 */
	public static final String DISABLE_SUCCESS = "disableSuccess";

	/**
	 * 级联停用成功
	 */
	public static final String DISABLE_SUCCESS_CASCADE = "disableSuccessCascade";

	/**
	 * 停用失败
	 */
	public static final String DISABLE_FAIL = "disableFail";

	/**
	 * 升版本号成功
	 */
	public static final String UP_REVISION_SUCCESS = "dataUpRevisionSuccess";

	/**
	 * 升版本号失败
	 */
	public static final String UP_REVISION_FAIL = "dataUpRevisionFail";

	/**
	 * 升版次成功
	 */
	public static final String UP_VERSION_SUCCESS = "dataUpVersionSuccess";

	/**
	 * 升版次失败
	 */
	public static final String UP_VERSION_FAIL = "dataUpVersionFail";

	/**
	 * 提交成功
	 */
	public static final String SUBMIT_SUCCESS= "submitSuccess";

	/**
	 * 提交失败
	 */
	public static final String SUBMIR_FAIL = "submitFail";

	/**
	 * 发布成功
	 */
	public static final String RELEASE_SUCCESS = "releaseSuccess";

	/**
	 * 发布失败
	 */
	public static final String RELEASE_FAIL = "releaseFail";

	/**
	 * 版本号重复
	 */
	public static final String REVISION_REPEAT = "revisionRepeat";

	/**
	 * 版次号重复
	 */
	public static final String VERSION_REPEAT= "versionRepeat";

	/**
	 * 根据主键查询数据不存在
	 */
	public static final String DATA_OID_NOT_EXIST = "dataOidNotExist";

	/**
	 * 根据主键查询的数据不存在
	 */
	public static final String DATA_ID_NOT_EXIST = "dataIdNotExist";

	/**
	 * 根据名称查询的数据不存在
	 */
	public static final String DATA_NAME_NOT_EXIST = "dataNameNotExist";

	/**
	 * 属性值重复
	 */
	public static final String DATA_ATTR_REPEAT = "dataRepeat";

	/**
	 * 老版本的数据不存在
	 */
	public static final String OLD_REVISION_DATA_NOT_EXIST = "oldRevsionDataNotExist";

	/**
	 * 上级主键实际是当前节点的下级节点，会引起死循环
	 */
	public static final String PARENT_OID_IS_CHILD ="parentIsChild";

	/**
	 * 数据被引用，不允许删除
	 */
	public static final String DATA_LINKED_NOT_DELETE = "dataLinkedNotDelete";

	/**
	 * 数据的子节点也被引用，不允许删除
	 */
	public static final String DATA_CASCADE_LINKED_NOT_DELETE = "dataCascadeLinkedNotDelete";

	/**
	 * 数据被引用，不允许修改
	 */
	public static final String DATA_LINKED_NOT_EDIT ="dataLinkedNotEdit";

	/**
	 * 数据不引用，不允许修改某个属性
	 */
	public static final String DATA_LINKED_NOT_EDIT_ATTR="dataLinkedNotEditAttr";

	/**
	 * 上级档案不存在
	 */
	public static final String DATA_PARENT_NOT_EXIST = "parentNotExist";

	/**
	 * 分类数据不存在
	 */
	public static final String DATA_CLASSIFY_NOT_EXIST = "classifyNotExist";

	/**
	 * 当前状态下不允许修改数据
	 */
	public static final String LCSTATUS_CAN_NOT_EDIT = "lcStatusCannotEditData";

	/**
	 * 当前状态下不允许删除数据
	 */
	public static final String LCSTATUS_CAN_NOT_DELETE = "lcStatusCannotDeleteData";

	/**
	 * 导入成功
	 */
	public static final String IMPORT_SUCCESS = "importSuccess";

	/**
	 * 导入失败
	 */
	public static final String IMPORT_FAIL = "importFail";

	/**
	 * 导入的模板文件不存在
	 */
	public static final String IMPORT_TEMPLATE_FILE_NOT_FOUND = "importTemplateFileNotFound";

	/**
	 * 导出成功
	 */
	public static final String EXPORT_SUCCESS = "exportSuccess";

	/**
	 * 导出失败
	 */
	public static final String EXPORT_FAIL = "exportFail";

	/**
	 * 上传成功
	 */
	public static final String UPLOAD_SUCCESS = "uploadSuccess";

	/**
	 * 上传失败
	 */
	public static final String UPLOAD_FAIL = "uploadFail";

	/**
	 * 下载成功
	 */
	public static final String DOWNLOAD_SUCCESS = "downloadSuccess";

	/**
	 * 下载失败
	 */
	public static final String DOWNLOAD_FAIL = "downloadFail";

	/**
	 * 文件不存在
	 */
	public static final String FILE_NOT_EXIST = "fileNotExist";

	/**
	 * 审批成功
	 */
	public static final String AUDIT_SUCCESS = "auditSuccess";

	/**
	 * 审批失败
	 */
	public static final String AUDIT_FAIL = "auditFail";

	/**
	 * 下发成功
	 */
	public static final String ISSUED_SUCCESS = "issuedSuccess";

	/**
	 * 下发失败
	 */
	public static final String ISSUED_FAIL = "issuedFail";

	/**
	 * 接收成功
	 */
	public static final String RECEIVE_SUCCESS = "receiveSuccess";

	/**
	 * 接收失败
	 */
	public static final String RECEIVE_FAIL = "receiveFail";

	/**
	 * 计划的制造依据不存在
	 */
	public static final String PLAN_SOURCE_NOT_EXIST = "planSourceNotExist";

	/**
	 * 计划的制造目标不存在
	 */
	public static final String PLAN_TARGET_NOT_EXIST = "planTargetNotExist";

	/**
	 * 派发成功
	 */
	public static final String DISPATCH_SUCCESS = "dispatchSuccess";

	/**
	 * 派发失败
	 */
	public static final String DISPATCH_FAIL = "dispatchFail";

	/**
	 * 该计划下不存在派发过的任务
	 */
	public static final String DISPATCH_TASK_NOT_EXIST_BY_PLAN = "dispatchTaskNotExistByPlan";
}
