package com.vci.ubcs.code.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vci.ubcs.code.entity.CodeRule;
import com.vci.ubcs.code.vo.pagemodel.CodeRuleVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 主数据编码规则数据操作层
 *
 * @author ludc
 * @date 2022-01-24
 */
public interface CodeRuleMapper extends BaseMapper<CodeRule> {


	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param codeRule
	 * @return
	 */
	List<CodeRule> selectCodeRulePage(IPage page,@Param("codeRule") CodeRuleVO codeRule);


}
