package com.vci.ubcs.code.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.vci.ubcs.code.entity.CodeBasicSec;

/**
 * 固定码段的码值服务接口
 *
 * @author ludc
 * @date 2022-01-24
 */
public interface ICodeBasicSecService extends IService<CodeBasicSec> {

	/**
	 * 根据编码规则批量删除码段基本信息
	 * @param codeRuleOid 编码规则主键
	 * @return 执行结果
	 */
	boolean batchDeleteSecByCodeRuleOid(String codeRuleOid);

}
