package com.vci.ubcs.code.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.vci.ubcs.code.entity.CodeClassify;

import java.util.List;

/**
 * 主题库分类服务接口
 *
 * @author ludc
 * @date 2022-01-20
 */
public interface ICodeClassifyService extends IService<CodeClassify> {

	/**
	 * 使用查询封装器来查询
	 * @param wrapper 查询封装器
	 * @return 数据对象
	 */
	List<CodeClassify> selectByWrapper(Wrapper wrapper);


}
