package com.vci.ubcs.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.vci.ubcs.code.entity.CodeClassify;
import com.vci.ubcs.code.mapper.CodeClassifyMapper;
import com.vci.ubcs.code.service.ICodeClassifyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ICodeClassifyServiceImpl extends ServiceImpl<CodeClassifyMapper, CodeClassify> implements ICodeClassifyService {

	@Resource
	private CodeClassifyMapper codeClassifyMapper;

	/**
	 * 使用查询封装器来查询
	 * @param wrapper 查询封装器
	 * @return 数据对象
	 */
	@Override
	public List<CodeClassify> selectByWrapper(Wrapper wrapper) {
		return codeClassifyMapper.selectList(wrapper);
	}


}
