package com.vci.ubcs.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.vci.ubcs.system.entity.ValueRange;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (ValueRange)表服务接口
 *
 * @author makejava
 * @since 2023-03-20 15:23:27
 */
public interface IValueRangeService extends IService<ValueRange> {

	/**
	 * 全查询
	 * @return
	 */
	List<ValueRange> queryByAll();

	/**
	 * 分页查询
	 *
	 * @param valueRange 筛选条件
	 * @param pageRequest     分页对象
	 * @return 查询结果
	 */
	Page<ValueRange> queryByPage(ValueRange valueRange, PageRequest pageRequest);

	/**
	 * 新增数据或修改数据
	 *
	 * @param valueRange 实例对象
	 * @return 实例对象
	 */
	boolean submit(ValueRange valueRange);

	/**
	 * 通过主键删除数据
	 *
	 * @param ids 主键
	 * @return 是否成功
	 */
	boolean deleteByIds(List<String> ids);

	/**
	 * 获取取值
	 *
	 * @return 是否成功
	 */
	List<String> getByAllString(List<String> combinationIds);

}
