#服务生成镜像，并运行

start(){

  #先清空target并打包
 mvn clean package

  #启动admin服务
 docker build -f ./ubcs-ops/ubcs-admin/Dockerfile -t vci-ubcs/ubcs-admin .
 docker run -d -p 36002:36002 --name ubcs-admin vci-ubcs/ubcs-admin:latest

 #启动auth服务
 docker build -f ./ubcs-auth/Dockerfile -t vci-ubcs/ubcs-auth .
 docker run -d -p 36001:36001 --name ubcs-auth vci-ubcs/ubcs-auth:latest

 #启动log服务
 docker build -f ./ubcs-ops/ubcs-log/Dockerfile -t vci-ubcs/ubcs-log .
 docker run -d -p 36005:36005 --name ubcs-log vci-ubcs/ubcs-log:latest

 #启动desk服务
 docker build -f ./ubcs-service/ubcs-desk/Dockerfile -t vci-ubcs/ubcs-desk .
 docker run -d -p 36010:36010 --name ubcs-desk vci-ubcs/ubcs-desk:latest

  #启动工作流flow服务
 docker build -f ./ubcs-ops/ubcs-flow/Dockerfile -t vci-ubcs/ubcs-flow .
 docker run -d -p 36004:36004 --name ubcs-flow vci-ubcs/ubcs-flow:latest

 #启动develop服务
 docker build -f ./ubcs-ops/ubcs-develop/Dockerfile -t vci-ubcs/ubcs-develop .
 docker run -d -p 36003:36003 --name ubcs-develop vci-ubcs/ubcs-develop:latest

 #启动jobAdmin服务
 docker build -f ./ubcs-ops/ubcs-xxljob-admin/Dockerfile -t vci-ubcs/ubcs-jobadmin .
 docker run -d -p 36013:36013 --name ubcs-jobadmin vci-ubcs/ubcs-jobadmin:latest

 #启动job服务
 docker build -f ./ubcs-ops/ubcs-xxljob/Dockerfile -t vci-ubcs/ubcs-job .
 docker run -d -p 36009:36009 --name ubcs-job vci-ubcs/ubcs-job:latest

 #启动report服务
 docker build -f ./ubcs-ops/ubcs-report/Dockerfile -t vci-ubcs/ubcs-report .
 docker run -d -p 36006:36006 --name ubcs-report vci-ubcs/ubcs-report:latest

 #启动Resource服务
 docker build -f ./ubcs-ops/ubcs-resource/Dockerfile -t vci-ubcs/ubcs-resource .
 docker run -d -p 36007:36007 --name ubcs-resource vci-ubcs/ubcs-resource:latest

 #启动swagger服务
 docker build -f ./ubcs-ops/ubcs-swagger/Dockerfile -t vci-ubcs/ubcs-swagger .
 docker run -d -p 36008:36008 --name ubcs-swagger vci-ubcs/ubcs-swagger:latest

 #启动system服务
 docker build -f ./ubcs-service/ubcs-system/Dockerfile -t vci-ubcs/ubcs-system .
 docker run -d -p 36011:36011 --name ubcs-system vci-ubcs/ubcs-system:latest

 #启动user服务
 docker build -f ./ubcs-service/ubcs-user/Dockerfile -t vci-ubcs/ubcs-user .
 docker run -d -p 36012:36012 --name ubcs-user vci-ubcs/ubcs-user:latest

 #启动gateway服务
 docker build -f ./ubcs-gateway/Dockerfile -t vci-ubcs/ubcs-gateway .
 docker run -d -p 37000:37000 --name ubcs-gateway vci-ubcs/ubcs-gateway:latest

 #启动omdy服务
 docker build -f ./ubcs-service/ubcs-omd/Dockerfile -t vci-ubcs/ubcs-omd .
 docker run -d -p 36015:36015 --name ubcs-omd vci-ubcs/ubcs-omd:latest

 #启动code服务
 docker build -f ./ubcs-service/ubcs-code/Dockerfile -t vci-ubcs/ubcs-code .
 docker run -d -p 36013:36013 --name ubcs-code vci-ubcs/ubcs-code:latest


 #其他服务请自行添加



}

start





