package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 主数据中的按钮扩展数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeButtonDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118494102363L;

	/**
	 * 按钮的图标样式
	 */
	private String iconcls;

	/**
	 * 执行的js内容
	 */
	private String executejs;

	/**
	 * 按钮的位置
	 */
	private String usedpositiontype;

	/**
	 * 获取 按钮的图标样式
	 */
	public String getIconcls (){
		return iconcls;
	}

	/**
	 * 设置 按钮的图标样式
	 */
	public void setIconcls (String iconcls){
		this.iconcls = iconcls;
	}

	/**
	 * 获取 执行的js内容
	 */
	public String getExecutejs (){
		return executejs;
	}

	/**
	 * 设置 执行的js内容
	 */
	public void setExecutejs (String executejs){
		this.executejs = executejs;
	}

	/**
	 * 获取 按钮的位置
	 */
	public String getUsedpositiontype (){
		return usedpositiontype;
	}

	/**
	 * 设置 按钮的位置
	 */
	public void setUsedpositiontype (String usedpositiontype){
		this.usedpositiontype = usedpositiontype;
	}


	@Override
	public String toString() {
		return "CodeButtonDTO{" +
		"iconcls='" + iconcls +"',"+
		"executejs='" + executejs +"',"+
		"usedpositiontype='" + usedpositiontype +"',"+
		"}" + super.toString();
	}
}
