package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 映射规则的明细数据传输对象
 *
 * @author weidy
 * @date 2022-03-10
 */
public class CodeClassifyTempMapItemDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118229256252L;

	/**
	 * 分类模板属性主键
	 */
	private String classifytemplateattroid;

	/**
	 * 映射规则主键
	 */
	private String classifytemplatemapoid;

	/**
	 * 映射规则主键显示文本
	 */
	private String classifytemplatemapoidName;
	/**
	 * 集团码属性key
	 */
	private String groupcodeattrid;

	/**
	 * 集团码属性名称
	 */
	private String groupcodeattrname;

	/**
	 * 转换的自定义类
	 */
	private String switchclassname;

	/**
	 * 转换公式
	 */
	private String switcheval;

	/**
	 * 目标端的时间格式
	 */
	private String targetdateformat;


	/**
	 * 获取 分类模板属性主键
	 */
	public String getClassifytemplateattroid (){
		return classifytemplateattroid;
	}

	/**
	 * 设置 分类模板属性主键
	 */
	public void setClassifytemplateattroid (String classifytemplateattroid){
		this.classifytemplateattroid = classifytemplateattroid;
	}

	/**
	 * 获取 映射规则主键
	 */
	public String getClassifytemplatemapoid (){
		return classifytemplatemapoid;
	}

	/**
	 * 设置 映射规则主键
	 */
	public void setClassifytemplatemapoid (String classifytemplatemapoid){
		this.classifytemplatemapoid = classifytemplatemapoid;
	}

	/**
	 * 获取映射规则主键显示文本
	 */
	public String getClassifytemplatemapoidName (){
		return classifytemplatemapoidName;
	}

	/**
	 * 设置映射规则主键显示文本
	 */
	public void setClassifytemplatemapoidName (String classifytemplatemapoidName){
		this.classifytemplatemapoidName = classifytemplatemapoidName;
	}
	/**
	 * 获取 集团码属性key
	 */
	public String getGroupcodeattrid (){
		return groupcodeattrid;
	}

	/**
	 * 设置 集团码属性key
	 */
	public void setGroupcodeattrid (String groupcodeattrid){
		this.groupcodeattrid = groupcodeattrid;
	}

	/**
	 * 获取 集团码属性名称
	 */
	public String getGroupcodeattrname (){
		return groupcodeattrname;
	}

	/**
	 * 设置 集团码属性名称
	 */
	public void setGroupcodeattrname (String groupcodeattrname){
		this.groupcodeattrname = groupcodeattrname;
	}

	/**
	 * 获取 转换的自定义类
	 */
	public String getSwitchclassname (){
		return switchclassname;
	}

	/**
	 * 设置 转换的自定义类
	 */
	public void setSwitchclassname (String switchclassname){
		this.switchclassname = switchclassname;
	}

	/**
	 * 获取 转换公式
	 */
	public String getSwitcheval (){
		return switcheval;
	}

	/**
	 * 设置 转换公式
	 */
	public void setSwitcheval (String switcheval){
		this.switcheval = switcheval;
	}

	/**
	 * 获取 目标端的时间格式
	 */
	public String getTargetdateformat (){
		return targetdateformat;
	}

	/**
	 * 设置 目标端的时间格式
	 */
	public void setTargetdateformat (String targetdateformat){
		this.targetdateformat = targetdateformat;
	}


	@Override
	public String toString() {
		return "CodeClassifyTempMapItemDTO{" +
		"classifytemplateattroid='" + classifytemplateattroid +"',"+
		"classifytemplatemapoid='" + classifytemplatemapoid +"',"+
		"classifytemplatemapoidName='" + classifytemplatemapoidName +"'," +
		"groupcodeattrid='" + groupcodeattrid +"',"+
		"groupcodeattrname='" + groupcodeattrname +"',"+
		"switchclassname='" + switchclassname +"',"+
		"switcheval='" + switcheval +"',"+
		"targetdateformat='" + targetdateformat +"',"+
		"}" + super.toString();
	}
}
