package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 分类模板对象数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeClassifyTemplateDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707120463849391L;

	/**
	 * 主题库分类主键
	 */
	private String codeclassifyoid;

	/**
	 * 主题库分类主键显示文本
	 */
	private String codeclassifyoidName;

	/**
	 * 所属业务类型
	 */
	private String btmtypeid;

	/**
	 * 所属业务类型名称
	 */
	private String btmtypename;

	/**
	 * 获取 所属业务类型
	 */
	public String getBtmtypeid (){
		return btmtypeid;
	}

	/**
	 * 设置 所属业务类型
	 */
	public void setBtmtypeid (String btmtypeid){
		this.btmtypeid = btmtypeid;
	}

	/**
	 * 获取 所属业务类型名称
	 */
	public String getBtmtypename (){
		return btmtypename;
	}

	/**
	 * 设置 所属业务类型名称
	 */
	public void setBtmtypename (String btmtypename){
		this.btmtypename = btmtypename;
	}

	/**
	 * 获取 主题库分类主键
	 */
	public String getCodeclassifyoid (){
		return codeclassifyoid;
	}

	/**
	 * 设置 主题库分类主键
	 */
	public void setCodeclassifyoid (String codeclassifyoid){
		this.codeclassifyoid = codeclassifyoid;
	}

	/**
	 * 获取主题库分类主键显示文本
	 */
	public String getCodeclassifyoidName (){
		return codeclassifyoidName;
	}

	/**
	 * 设置主题库分类主键显示文本
	 */
	public void setCodeclassifyoidName (String codeclassifyoidName){
		this.codeclassifyoidName = codeclassifyoidName;
	}

	@Override
	public String toString() {
		return "CodeClassifyTemplateDTO{" +
		"codeclassifyoid='" + codeclassifyoid +"',"+
		"codeclassifyoidName='" + codeclassifyoidName +"'," +
		"btmtypeid='" + btmtypeid +"',"+
		"btmtypename='" + btmtypename +"',"+
		"}" + super.toString();
	}
}
