package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 固定码段的码值数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeFixedValueDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118504469968L;

	/**
	 * 固定码段主键
	 */
	private String codefixedsecoid;

	/**
	 * 固定码段主键显示文本
	 */
	private String codefixedsecoidName;
	/**
	 * 码值序号
	 */
	private Integer ordernum;


	/**
	 * 获取 固定码段主键
	 */
	public String getCodefixedsecoid (){
		return codefixedsecoid;
	}

	/**
	 * 设置 固定码段主键
	 */
	public void setCodefixedsecoid (String codefixedsecoid){
		this.codefixedsecoid = codefixedsecoid;
	}

	/**
	 * 获取固定码段主键显示文本
	 */
	public String getCodefixedsecoidName (){
		return codefixedsecoidName;
	}

	/**
	 * 设置固定码段主键显示文本
	 */
	public void setCodefixedsecoidName (String codefixedsecoidName){
		this.codefixedsecoidName = codefixedsecoidName;
	}
	/**
	 * 获取 码值序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	 * 设置 码值序号
	 */
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}


	@Override
	public String toString() {
		return "CodeFixedValueDTO{" +
		"codefixedsecoid='" + codefixedsecoid +"',"+
		"codefixedsecoidName='" + codefixedsecoidName +"'," +
		"ordernum='" + ordernum +"',"+
		"}" + super.toString();
	}
}
