package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 关键数据查重规则数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeKeyAttrRepeatRuleDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118144488876L;

	/**
	 * 是否忽略大小写
	 */
	private String ignorecaseflag;

	/**
	 * 是否忽略空格
	 */
	private String ignorespaceflag;

	/**
	 * 是否忽略全部空格
	 */
	private String ignoreallspaceflag;

	/**
	 * 是否忽略全半角
	 */
	private String ignorewidthflag;

	/**
	 * 获取 是否忽略大小写
	 */
	public String getIgnorecaseflag (){
		return ignorecaseflag;
	}

	/**
	 * 设置 是否忽略大小写
	 */
	public void setIgnorecaseflag (String ignorecaseflag){
		this.ignorecaseflag = ignorecaseflag;
	}

	/**
	 * 获取 是否忽略空格
	 */
	public String getIgnorespaceflag (){
		return ignorespaceflag;
	}

	/**
	 * 设置 是否忽略空格
	 */
	public void setIgnorespaceflag (String ignorespaceflag){
		this.ignorespaceflag = ignorespaceflag;
	}

	/**
	 * 获取 是否忽略全部空格
	 */
	public String getIgnoreallspaceflag (){
		return ignoreallspaceflag;
	}

	/**
	 * 设置 是否忽略全部空格
	 */
	public void setIgnoreallspaceflag (String ignoreallspaceflag){
		this.ignoreallspaceflag = ignoreallspaceflag;
	}

	public String getIgnorewidthflag() {
		return ignorewidthflag;
	}

	public void setIgnorewidthflag(String ignorewidthflag) {
		this.ignorewidthflag = ignorewidthflag;
	}


	@Override
	public String toString() {
		return "CodeKeyAttrRepeatRuleDTO{" +
				"ignorecaseflag='" + ignorecaseflag + '\'' +
				", ignorespaceflag='" + ignorespaceflag + '\'' +
				", ignoreallspaceflag='" + ignoreallspaceflag + '\'' +
				", ignorewidthflag='" + ignorewidthflag + '\'' +
				"} " + super.toString();
	}
}
