package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 主数据编码规则数据传输对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeRuleDTO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117067738769L;

	/**
	 * 码段集合
	 */
	private List<CodeBasicSecDTO> elements;

	public List<CodeBasicSecDTO> getElements() {
		return elements;
	}

	public void setElements(List<CodeBasicSecDTO> elements) {
		this.elements = elements;
	}

	@Override
	public String toString() {
		return "CodeRuleDTO{" +
				"elements=" + elements +
				'}'+ super.toString();
	}
}
