package com.vci.ubcs.code.dto;


import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 记录集成属性与主数据属性映射关系对象
 * @author xiejun
 * @date 2023-01-06
 */
public class DockingPreAttrMappingDTO extends BaseModelVO {
    /**
     * 序列化
     */
    private static final long serialVersionUID = 6020487634341415429L;
    /***
     * 默认值
     */
    private String jdefaultValue;

    /***
     * 默认值
     */
    private String jmetaListId;
    /**
     * 源分类id
     */
    private  String jsourceClsfId;
    /**
     * 源分类名称
     */
    private String jsourceClsfName;
    /**
     * 源属性oid
     */
    private String jtargetAttrId;

    /**
     * 目标属性oid
     */
    private String jtargetClsfId;

    /***
     * 模板Id
     */
    private String jviewModeId;
    /***
     * 模板名称
     */
    private String jviewModeName;

    /***
     * 目标属性内部名称
     */
    private String jtargetAttrKey;

    /***
     * 目标属性名称
     */
    private String jtargetAttrName;

    /***
     * 目标属性内部名称
     */
    private String jsourceAttrKey;

    /***
     * 目标属性名称
     */
    private String jsourceAttrName;
    /**
     * 属性取值范围
     */
    private List<DockingPreAttrRangeDTO> dockingPreAttrRangeDTOS;

    public String getJdefaultValue() {
        return jdefaultValue;
    }

    public void setJdefaultValue(String jdefaultValue) {
        this.jdefaultValue = jdefaultValue;
    }

    public String getJmetaListId() {
        return jmetaListId;
    }

    public void setJmetaListId(String jmetaListId) {
        this.jmetaListId = jmetaListId;
    }

    public String getJsourceClsfId() {
        return jsourceClsfId;
    }

    public void setJsourceClsfId(String jsourceClsfId) {
        this.jsourceClsfId = jsourceClsfId;
    }

    public String getJsourceClsfName() {
        return jsourceClsfName;
    }

    public void setJsourceClsfName(String jsourceClsfName) {
        this.jsourceClsfName = jsourceClsfName;
    }

    public String getJtargetAttrId() {
        return jtargetAttrId;
    }

    public void setJtargetAttrId(String jtargetAttrId) {
        this.jtargetAttrId = jtargetAttrId;
    }

    public String getJtargetClsfId() {
        return jtargetClsfId;
    }

    public void setJtargetClsfId(String jtargetClsfId) {
        this.jtargetClsfId = jtargetClsfId;
    }

    public String getJviewModeId() {
        return jviewModeId;
    }

    public void setJviewModeId(String jviewModeId) {
        this.jviewModeId = jviewModeId;
    }

    public String getJviewModeName() {
        return jviewModeName;
    }

    public void setJviewModeName(String jviewModeName) {
        this.jviewModeName = jviewModeName;
    }

    public String getJtargetAttrKey() {
        return jtargetAttrKey;
    }

    public void setJtargetAttrKey(String jtargetAttrKey) {
        this.jtargetAttrKey = jtargetAttrKey;
    }

    public String getJtargetAttrName() {
        return jtargetAttrName;
    }

    public void setJtargetAttrName(String jtargetAttrName) {
        this.jtargetAttrName = jtargetAttrName;
    }

    public String getJsourceAttrKey() {
        return jsourceAttrKey;
    }

    public void setJsourceAttrKey(String jsourceAttrKey) {
        this.jsourceAttrKey = jsourceAttrKey;
    }

    public String getJsourceAttrName() {
        return jsourceAttrName;
    }

    public void setJsourceAttrName(String jsourceAttrName) {
        this.jsourceAttrName = jsourceAttrName;
    }

    public List<DockingPreAttrRangeDTO> getDockingPreAttrRangeDTOS() {
        return dockingPreAttrRangeDTOS;
    }

    public void setDockingPreAttrRangeDTOS(List<DockingPreAttrRangeDTO> dockingPreAttrRangeDTOS) {
        this.dockingPreAttrRangeDTOS = dockingPreAttrRangeDTOS;
    }

    @Override
    public String toString() {
        return "DockingPreAttrMappingDTO{" +
                "jdefaultValue='" + jdefaultValue + '\'' +
                ", jmetaListId='" + jmetaListId + '\'' +
                ", jsourceClsfId='" + jsourceClsfId + '\'' +
                ", jsourceClsfName='" + jsourceClsfName + '\'' +
                ", jtargetAttrId='" + jtargetAttrId + '\'' +
                ", jtargetClsfId='" + jtargetClsfId + '\'' +
                ", jviewModeId='" + jviewModeId + '\'' +
                ", jviewModeName='" + jviewModeName + '\'' +
                ", jtargetAttrKey='" + jtargetAttrKey + '\'' +
                ", jtargetAttrName='" + jtargetAttrName + '\'' +
                ", jsourceAttrKey='" + jsourceAttrKey + '\'' +
                ", jsourceAttrName='" + jsourceAttrName + '\'' +
                ", dockingPreAttrRangeDTOS=" + dockingPreAttrRangeDTOS +
                '}';
    }
}
