package com.vci.ubcs.code.dto;

import com.vci.web.dto.BaseModelDTO;

import java.util.List;

/**
 * 预申请编码申请的信息
 * @author weidy
 * @date 2022-2-28
 */
public class PreApplyCodeOrderDTO extends BaseModelDTO {

    /**
     * 序列化
     */
    private static final long serialVersionUID = 1880155181507713245L;
    /**
     * 主题库分类主键
     */
    private String codeClassifyOid;

    /**
     * 模板的主键
     */
    private String templateOid;
    /**
     * 编码规则的主键
     */
    private String codeRuleOid;

    /**
     * 是否在流程中中修改
     */
    private boolean editInProcess;

    /**
     * dockingpadata data的oid
     */
    private String dataoid;

    /**
     * 码段选择的信息
     */
    private List<CodeOrderSecDTO> secDTOList;

    public String getCodeClassifyOid() {
        return codeClassifyOid;
    }

    public void setCodeClassifyOid(String codeClassifyOid) {
        this.codeClassifyOid = codeClassifyOid;
    }

    public String getTemplateOid() {
        return templateOid;
    }

    public void setTemplateOid(String templateOid) {
        this.templateOid = templateOid;
    }

    public String getCodeRuleOid() {
        return codeRuleOid;
    }

    public void setCodeRuleOid(String codeRuleOid) {
        this.codeRuleOid = codeRuleOid;
    }

    public List<CodeOrderSecDTO> getSecDTOList() {
        return secDTOList;
    }

    public void setSecDTOList(List<CodeOrderSecDTO> secDTOList) {
        this.secDTOList = secDTOList;
    }

    public boolean isEditInProcess() {
        return editInProcess;
    }

    public void setEditInProcess(boolean editInProcess) {
        this.editInProcess = editInProcess;
    }

    public String getDataoid() {
        return dataoid;
    }

    public void setDataoid(String dataoid) {
        this.dataoid = dataoid;
    }

    @Override
    public String toString() {
        return "CodeOrderDTO{" +
                "codeClassifyOid='" + codeClassifyOid + '\'' +
                ", templateOid='" + templateOid + '\'' +
                ", codeRuleOid='" + codeRuleOid + '\'' +
                ", editInProcess=" + editInProcess +
                ", secDTOList=" + secDTOList +
                ", dataoid=" + dataoid +
                "} " + super.toString();
    }
}
