package com.vci.ubcs.code.po;

/**
 * 主题库分类的导入导出对象
 * @author weidy
 * @date 2022-04-01
 */
public class CodeClassifyPO implements java.io.Serializable{
    /**
     * 序列化
     */
    private static final long serialVersionUID = 6101784029360306020L;
    /**
     * 所在数据行
     */
    private String rowIndex;


    /**
     * 分类编号
     */
    private String id;
    /**
     * 分类名称
     */
    private String name;

    /**
     * 描述
     */
    private String description;

    /**
     * 编码规则编号
     */
    private String codeRuleId;

    /**
     * 业务类型编号
     */
    private String btmTypeId;

    /**
     * 查重规则编号
     */
    private String keyRepeatRuleId;

    /**
     * 分类路径
     */
    private String path;

    /**
     * 状态文本
     */
    private String lcStatusText;

    /**
     * 状态
     */
    private String lcStatus;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(String rowIndex) {
        this.rowIndex = rowIndex;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCodeRuleId() {
        return codeRuleId;
    }

    public void setCodeRuleId(String codeRuleId) {
        this.codeRuleId = codeRuleId;
    }

    public String getBtmTypeId() {
        return btmTypeId;
    }

    public void setBtmTypeId(String btmTypeId) {
        this.btmTypeId = btmTypeId;
    }

    public String getKeyRepeatRuleId() {
        return keyRepeatRuleId;
    }

    public void setKeyRepeatRuleId(String keyRepeatRuleId) {
        this.keyRepeatRuleId = keyRepeatRuleId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getLcStatusText() {
        return lcStatusText;
    }

    public void setLcStatusText(String lcStatusText) {
        this.lcStatusText = lcStatusText;
    }

    public String getLcStatus() {
        return lcStatus;
    }

    public void setLcStatus(String lcStatus) {
        this.lcStatus = lcStatus;
    }

    @Override
    public String toString() {
        return "CodeClassifyPO{" +
                "rowIndex='" + rowIndex + '\'' +
                ", id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", codeRuleId='" + codeRuleId + '\'' +
                ", btmTypeId='" + btmTypeId + '\'' +
                ", keyRepeatRuleId='" + keyRepeatRuleId + '\'' +
                ", path='" + path + '\'' +
                ", lcStatusText='" + lcStatusText + '\'' +
                ", lcStatus='" + lcStatus + '\'' +
                '}';
    }
}
