package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 主数据中的按钮扩展显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeButtonVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707118774202884L;

	/**
	* 按钮的图标样式
	*/
	private String iconcls;


	/**
	* 执行的js内容
	*/
	private String executejs;


	/**
	* 按钮的位置
	*/
	private String usedpositiontype;


	/**
	* 按钮的位置显示文本
	*/
	private String usedpositiontypeText;

	/**
	 * 获取 按钮的图标样式
	 */
	public String getIconcls (){
		return iconcls;
	}

	/**
	* 设置 按钮的图标样式
	*/
	public void setIconcls (String iconcls){
		this.iconcls = iconcls;
	}
	/**
	 * 获取 执行的js内容
	 */
	public String getExecutejs (){
		return executejs;
	}

	/**
	* 设置 执行的js内容
	*/
	public void setExecutejs (String executejs){
		this.executejs = executejs;
	}
	/**
	 * 获取 按钮的位置
	 */
	public String getUsedpositiontype (){
		return usedpositiontype;
	}

	/**
	* 设置 按钮的位置
	*/
	public void setUsedpositiontype (String usedpositiontype){
		this.usedpositiontype = usedpositiontype;
	}

	public String getUsedpositiontypeText() {
		return usedpositiontypeText;
	}

	public void setUsedpositiontypeText(String usedpositiontypeText) {
		this.usedpositiontypeText = usedpositiontypeText;
	}

	@Override
	public String toString() {
		return "CodeButtonVO{" +
				"iconcls='" + iconcls + '\'' +
				", executejs='" + executejs + '\'' +
				", usedpositiontype='" + usedpositiontype + '\'' +
				", usedpositiontypeText='" + usedpositiontypeText + '\'' +
				"} " + super.toString();
	}
}
