package com.vci.ubcs.code.vo.pagemodel;

/**
 * 主题库分类显示对象
 *
 * @author weidy
 * @date 2022-01-20
 */
public class CodeClassifyVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707119254063830L;

	/**
	* 属性排序号
	*/
	private Integer ordernum;


	/**
	* 所属业务类型
	*/
	private String btmtypeid;


	/**
	* 所属业务类型名称
	*/
	private String btmtypename;


	/**
	* 编码规则的主键
	*/
	private String coderuleoid;

	/**
	* 编码规则的主键显示文本
	*/
	private String coderuleoidName;

	/**
	* 关键属性查询的规则
	*/
	private String codekeyattrrepeatoid;

	/**
	* 关键属性查询的规则显示文本
	*/
	private String codekeyattrrepeatoidName;

	/**
	* 上级数据的主键
	*/
	private String parentcodeclassifyoid;

	/**
	 * 数据所在的层级
	 */
	private Integer dataLevel;

	/**
	 * 层级的路径
	 */
	private String path;

	/***
	 * 名称路径
	 */
	private String namePath;
	/***
	 * 代码路径
	 */
	private String idPath;

	/**
	 * 相似查询规则主键
	 */
	private String codeResembleRuleOid;

	/**
	 * 相似查询规则名称
	 */
	private String codeResembleRuleOidName;

	public String getCodeResembleRuleOid() {
		return codeResembleRuleOid;
	}

	public void setCodeResembleRuleOid(String codeResembleRuleOid) {
		this.codeResembleRuleOid = codeResembleRuleOid;
	}

	public String getCodeResembleRuleOidName() {
		return codeResembleRuleOidName;
	}

	public void setCodeResembleRuleOidName(String codeResembleRuleOidName) {
		this.codeResembleRuleOidName = codeResembleRuleOidName;
	}

	/**
	 * 获取 属性排序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	* 设置 属性排序号
	*/
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}
	/**
	 * 获取 所属业务类型
	 */
	public String getBtmtypeid (){
		return btmtypeid;
	}

	/**
	* 设置 所属业务类型
	*/
	public void setBtmtypeid (String btmtypeid){
		this.btmtypeid = btmtypeid;
	}
	/**
	 * 获取 所属业务类型名称
	 */
	public String getBtmtypename (){
		return btmtypename;
	}

	/**
	* 设置 所属业务类型名称
	*/
	public void setBtmtypename (String btmtypename){
		this.btmtypename = btmtypename;
	}
	/**
	 * 获取 编码规则的主键
	 */
	public String getCoderuleoid (){
		return coderuleoid;
	}

	/**
	* 设置 编码规则的主键
	*/
	public void setCoderuleoid (String coderuleoid){
		this.coderuleoid = coderuleoid;
	}
	/**
	 * 获取编码规则的主键显示文本
	 */
	public String getCoderuleoidName (){
		return coderuleoidName;
	}

	/**
	* 设置编码规则的主键显示文本
	*/
	public void setCoderuleoidName (String coderuleoidName){
		this.coderuleoidName = coderuleoidName;
	}
	/**
	 * 获取 关键属性查询的规则
	 */
	public String getCodekeyattrrepeatoid (){
		return codekeyattrrepeatoid;
	}

	/**
	* 设置 关键属性查询的规则
	*/
	public void setCodekeyattrrepeatoid (String codekeyattrrepeatoid){
		this.codekeyattrrepeatoid = codekeyattrrepeatoid;
	}
	/**
	 * 获取关键属性查询的规则显示文本
	 */
	public String getCodekeyattrrepeatoidName (){
		return codekeyattrrepeatoidName;
	}

	/**
	* 设置关键属性查询的规则显示文本
	*/
	public void setCodekeyattrrepeatoidName (String codekeyattrrepeatoidName){
		this.codekeyattrrepeatoidName = codekeyattrrepeatoidName;
	}
	/**
	 * 获取 上级数据的主键
	 */
	public String getParentcodeclassifyoid (){
		return parentcodeclassifyoid;
	}

	/**
	* 设置 上级数据的主键
	*/
	public void setParentcodeclassifyoid (String parentcodeclassifyoid){
		this.parentcodeclassifyoid = parentcodeclassifyoid;
	}

	public Integer getDataLevel() {
		return dataLevel;
	}

	public void setDataLevel(Integer dataLevel) {
		this.dataLevel = dataLevel;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getNamePath() {
		return namePath;
	}

	public void setNamePath(String namePath) {
		this.namePath = namePath;
	}

	public String getIdPath() {
		return idPath;
	}

	public void setIdPath(String idPath) {
		this.idPath = idPath;
	}

	@Override
	public String toString() {
		return "CodeClassifyVO{" +
				"ordernum=" + ordernum +
				", btmtypeid='" + btmtypeid + '\'' +
				", btmtypename='" + btmtypename + '\'' +
				", coderuleoid='" + coderuleoid + '\'' +
				", coderuleoidName='" + coderuleoidName + '\'' +
				", codekeyattrrepeatoid='" + codekeyattrrepeatoid + '\'' +
				", codekeyattrrepeatoidName='" + codekeyattrrepeatoidName + '\'' +
				", parentcodeclassifyoid='" + parentcodeclassifyoid + '\'' +
				", dataLevel=" + dataLevel +
				", path='" + path + '\'' +
				", namePath='" + namePath + '\'' +
				", idPath='" + idPath + '\'' +
				", codeResembleRuleOid='" + codeResembleRuleOid + '\'' +
				", codeResembleRuleOidName='" + codeResembleRuleOidName + '\'' +
				'}';
	}
}
