package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 阶段的属性显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodePhaseAttrVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117417389038L;

	/**
	* 所属模板阶段
	*/
	private String codephaseoid;

	/**
	* 所属模板阶段显示文本
	*/
	private String codephaseoidName;

	/**
	 * 属性的分组名称
	 */
	private String attrGroupName;


	/**
	 * 获取 所属模板阶段
	 */
	public String getCodephaseoid (){
		return codephaseoid;
	}

	/**
	* 设置 所属模板阶段
	*/
	public void setCodephaseoid (String codephaseoid){
		this.codephaseoid = codephaseoid;
	}
	/**
	 * 获取所属模板阶段显示文本
	 */
	public String getCodephaseoidName (){
		return codephaseoidName;
	}

	/**
	* 设置所属模板阶段显示文本
	*/
	public void setCodephaseoidName (String codephaseoidName){
		this.codephaseoidName = codephaseoidName;
	}

	public String getAttrGroupName() {
		return attrGroupName;
	}

	public void setAttrGroupName(String attrGroupName) {
		this.attrGroupName = attrGroupName;
	}

	@Override
	public String toString() {
		return "CodePhaseAttrVO{" +
				"codephaseoid='" + codephaseoid + '\'' +
				", codephaseoidName='" + codephaseoidName + '\'' +
				", attrGroupName='" + attrGroupName + '\'' +
				"} " + super.toString();
	}
}
