package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

import java.util.List;

/**
 * 主数据编码规则显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeRuleVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117684483406L;

	/**
	 * 编码规则的编号
	 */
	private String id;

	/**
	 * 编码规则的名称
	 */
	private String name;

	/**
	 * 编码的码段信息
	 */
	private List<CodeBasicSecVO> secVOList;


	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String name) {
		this.name = name;
	}

	public List<CodeBasicSecVO> getSecVOList() {
		return secVOList;
	}

	public void setSecVOList(List<CodeBasicSecVO> secVOList) {
		this.secVOList = secVOList;
	}

	@Override
	public String toString() {
		return "CodeRuleVO{" +
				"id='" + id + '\'' +
				", name='" + name + '\'' +
				", secVOList=" + secVOList +
				"} " + super.toString();
	}
}
