package com.vci.ubcs.code.vo.pagemodel;

import com.vci.ubcs.code.vo.pagemodel.BaseModelVO;

/**
 * 模板阶段显示对象
 *
 * @author weidy
 * @date 2022-01-24
 */
public class CodeTemplatePhaseVO extends BaseModelVO {

	/**
     * 禁止修改这个值
     */
	private static final long serialVersionUID = 4615707117825912259L;

	/**
	* 所属编码规则
	*/
	private String codeclassifytemplateoid;

	/**
	* 所属编码规则显示文本
	*/
	private String codeclassifytemplateoidName;

	/**
	* 码值序号
	*/
	private Integer ordernum;



	/**
	 * 获取 所属编码规则
	 */
	public String getCodeclassifytemplateoid (){
		return codeclassifytemplateoid;
	}

	/**
	* 设置 所属编码规则
	*/
	public void setCodeclassifytemplateoid (String codeclassifytemplateoid){
		this.codeclassifytemplateoid = codeclassifytemplateoid;
	}
	/**
	 * 获取所属编码规则显示文本
	 */
	public String getCodeclassifytemplateoidName (){
		return codeclassifytemplateoidName;
	}

	/**
	* 设置所属编码规则显示文本
	*/
	public void setCodeclassifytemplateoidName (String codeclassifytemplateoidName){
		this.codeclassifytemplateoidName = codeclassifytemplateoidName;
	}
	/**
	 * 获取 码值序号
	 */
	public Integer getOrdernum (){
		return ordernum;
	}

	/**
	* 设置 码值序号
	*/
	public void setOrdernum (Integer ordernum){
		this.ordernum = ordernum;
	}

	@Override
	public String toString() {
		return "CodeTemplatePhaseVO{" +
		"codeclassifytemplateoid='" + codeclassifytemplateoid +"'," +
		"codeclassifytemplateoidName='" + codeclassifytemplateoidName +"'," +
		"ordernum='" + ordernum +"'," +
		"}" + super.toString();
	}
}
