package com.vci.ubcs.code.constant;

/**
 * 主数据相关的业务类型编号
 */
public class MdmBtmTypeConstant {

    /**
     * 主题库分类
     */
    public static final String CODE_CLASSIFY = "codeclassify";
    /**
     * 主题库分类包含的模板
     */
    public static final String CODE_CLASSIFY_TEMPLATE = "codeclstemplate";
    /**
     * 主题库分类模板 包含的属性
     */
    public static final String CODE_CLASSIFY_TEMPLATE_ATTR = "codeclstempattr";

    /**
     * 主数据中的按钮扩展
     */
    public static final String CODE_BUTTON = "codebutton";
    /**
     * 主数据中的模板关联的按钮
     */
    public static final String CODE_TEMPLATE_BUTTON = "codetempbutton";
    /**
     * 主数据中的编码规则
     */
    public static final String CODE_RULE = "coderule";


    /**
     * 关键属性判断重复
     */
    public static final String CODE_KEY_ATTR_REPEAT_RULE = "codekeyattrrepeat";

    /**
     * 相似查询规则
     */
    public static final String CODE_RESEMBLE_RULE = "coderesemblerule";
    /**
     * 模板阶段
     */
    public static final String CODE_TEMPLATE_PHASE = "codetempphase";
    /**
     * 阶段的属性
     */
    public static final String CODE_PHASE_ATTR = "codephaseattr";

    /**
     * 主数据分类使用的流程模板
     */
    public static final String CODE_CLASSIFY_PROCESS_TEMPLATE = "codeclsflowtemp";

    /**
     *分类的模板对应流程中的阶段配置
     */
    public static final String CODE_CLASSIFY_PROCESS_PHASE = "codeclsflowphase" ;

    /**
     * 固定码的码值
     */
    public static final String CODE_FIXED_VALUE = "codefixedvalue";

    /**
     * 分类码的码值
     */
    public static final String CODE_CLASSIFY_VALUE = "codeclassifyvalue";

    /**
     * 映射规则
     */
    public static final String CODE_TEMPLATE_MAP = "codetempmap";
    /**
     * 映射规则明细
     */
    public static final String CODE_TEMPLATE_MAP_ITEM = "codetempmapitem";
    /**
     * 码段基础信息
     */
    public static final String CODE_BASIC_SEC = "codebasicsec";

    /**
     * 同义词配置
     */
    public static final String CODE_SYNONYM = "codesynonym";
    /**
     * 全部的码值
     */
    public static final String CODE_ALL_CODE = "codeallcode";

    /**
     * 编码规则的流水值
     */
    public static final String CODE_SERIAL_VALUE = "codeserialvalue" ;

    /**
     * 资源对接通知、查询接口日志
     */
    public static final String DOCKING_LOGE = "codedockinglog";

    /**
     * 资源对接触发器插入要推送的数据
     */
    public static final String DOCKING_DATA = "codedockingdata";

    /**
     * 资源对接触发器插入要推送的数据和系统信息
     */
    public static final String DOCKING_TASK = "codedockingtask";

    /**
     * 预申请数据
     */
    public static final String DOCKING_PRE_APPLY_DATA = "dockingpadata";

    /**
     * 预申请数据信息
     */
    public static final String DOCKING_PRE_APPLY_DATA_INFO = "dockingpadatainfo";

    /**
     * 系统集成的系统
     */
    public static final String SYS_INT_BASE = "sysintbase";
    /**
     * 系统集成接口的基础信息
     */
    public static final String SYS_INT_INFO = "sysintinfo";

    /**
     * 系统集成接口的认证方式
     */
    public static final String SYS_INT_AUTHORITY = "sysintauthority";

    /**
     * 系统集成接口的参数,http对应的paramter
     */
    public static final String SYS_INT_PARAMTERY = "sysintparemter";

    /**
     * 系统集成接口的认证信息,http对应的header,webserver对应的账号密码等信息
     */
    public static final String SYS_INT_HEADER = "sysintheader";


    /**
     * 集成属性映射关系业务类型
     */
    public static final String DOCKING_PRE_JINTEGMAPCONFIG = "jintegmapconifg";

    /**
     * 集成属性映射关系业务类型
     */
    public static final String DOCKING_PRE_JCLASS = "jclass";
    /**
     * 集成属性映射关系业务类型
     */
    public static final String DOCKING_PRE_JMETAATRR = "jmetaattr";

    /**
     * 集成属性映射关系业务类型
     */
    public static final String DOCKING_PRE_JRANGE = "jrange";

}
