package com.vci.ubcs.code.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vci.ubcs.code.entity.CodeBasicSec;
import com.vci.ubcs.code.vo.pagemodel.CodeRuleVO;

import java.util.List;
import java.util.Map;

/**
 * 码段基础信息数据操作层
 *
 * @author ludc
 * @date 2022-01-24
 */
public interface CodeBasicSecMapper extends BaseMapper<CodeBasicSec> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param plCodeRule
	 * @return
	 */
	List<CodeRuleVO> selectPlCodeRulePage(IPage page, CodeRuleVO plCodeRule);

	List<CodeBasicSec> countByCondition(Map<String,String> condtions);

}
