package com.vci.ubcs.code.wrapper;

import com.vci.ubcs.code.entity.CodeClassify;
import com.vci.ubcs.code.vo.pagemodel.CodeClassifyVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;

import java.util.Objects;

public class CodeClassifyWrapper extends BaseEntityWrapper<CodeClassify, CodeClassifyVO> {

	public static CodeClassifyWrapper build() {
		return new CodeClassifyWrapper();
	}

	@Override
	public CodeClassifyVO entityVO(CodeClassify codeClassify) {
		CodeClassifyVO codeClassifyVO = Objects.requireNonNull(BeanUtil.copy(codeClassify, CodeClassifyVO.class));
		return codeClassifyVO;
	}


}
