package com.vci.ubcs.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.vci.ubcs.system.entity.UserPwdstrategy;

import java.util.List;

/**
 * 用户密码策略管理表(UserPwdstrategy)表数据库访问层
 *
 * @author ludc
 * @since 2023-03-22 15:24:46
 */
public interface UserPwdstrategyMapper  extends BaseMapper<UserPwdstrategy> {

	/**
	 * 通过ID查询单条数据
	 *
	 * @param id 主键
	 * @return 实例对象
	 */
	UserPwdstrategy queryById(Long id);

	/**
	 * 修改数据
	 *
	 * @param UserPwdstrategy 实例对象
	 * @return 影响行数
	 */
	int update(UserPwdstrategy UserPwdstrategy);

	/**
	 * 通过用户id进行删除数据
	 *
	 * @param userIds 用户id
	 * @return 影响行数
	 */
	int deleteByUserIds(List<Long> userIds);

}

